Qt 5.11 | Qt 3D | C++ Classes | QAbstractSpriteSheet

Qt 5.11.3 Reference Documentation

# QAbstractSpriteSheet Class

(Qt3DExtras::QAbstractSpriteSheet)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- currentIndex : int
- texture : Qt3DRender::QAbstractTexture*
- textureTransform : const QMatrix3x3

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

virtual | ~QAbstractSpriteSheet()
int | currentIndex() const
Qt3DRender::QAbstractTexture * | texture() const
QMatrix3x3 | textureTransform() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setCurrentIndex(int currentIndex)
void | setTexture(Qt3DRender::QAbstractTexture *texture)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | currentIndexChanged(int currentIndex)
void | textureChanged(Qt3DRender::QAbstractTexture *texture)
void | textureTransformChanged(const QMatrix3x3 &textureTransform)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractSpriteSheet(Qt3DExtras::QAbstractSpriteSheetPrivate &d, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### currentIndex : int

Access functions:

int | currentIndex() const
void | setCurrentIndex(int currentIndex)

Notifier signal:

void | currentIndexChanged(int currentIndex)

### texture : Qt3DRender::QAbstractTexture*

Holds the current texture used by the material.

Access functions:

Qt3DRender::QAbstractTexture * | texture() const
void | setTexture(Qt3DRender::QAbstractTexture *texture)

Notifier signal:

void | textureChanged(Qt3DRender::QAbstractTexture *texture)

### textureTransform : const QMatrix3x3

Access functions:

QMatrix3x3 | textureTransform() const

Notifier signal:

void | textureTransformChanged(const QMatrix3x3 &textureTransform)

## Member Function Documentation

### `[protected]` QAbstractSpriteSheet::QAbstractSpriteSheet(Qt3DExtras::QAbstractSpriteSheetPrivate &d, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAbstractSpriteSheet.

### `[virtual]` QAbstractSpriteSheet::~QAbstractSpriteSheet()

Destroys the instance of QAbstractSpriteSheet. The destructor is virtual.